Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMirrorPad Class Reference

`#include <vtkImageMirrorPad.h>`

Inheritance diagram for vtkImageMirrorPad:

[legend]
Collaboration diagram for vtkImageMirrorPad:

[legend]
List of all members.

## Detailed Description

Extra pixels are filled by mirror images.

Date:
  2002/01/22 15:33:08

Revision:
  1.26

vtkImageMirrorPad makes an image larger by filling extra pixels with a mirror image of the original image (mirror at image boundaries).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (49%)
  - Law, Charles (44%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMirrorPad.h)`
  - .`cxx` (`/Imaging/vtkImageMirrorPad.cxx)`

Tests:
  vtkImageMirrorPad (Tests)

Definition at line 46 of file vtkImageMirrorPad.h.

## Public Types
typedef vtkImagePadFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageMirrorPad * | New ()
int | IsTypeOf (const char *type)
vtkImageMirrorPad * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMirrorPad ()
| ~vtkImageMirrorPad ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outRegion, int ext[6], int id)

## Member Typedef Documentation

typedef vtkImagePadFilter vtkImageMirrorPad::Superclass

| Reimplemented from vtkImagePadFilter. Definition at line 50 of file vtkImageMirrorPad.h.

## Constructor & Destructor Documentation

vtkImageMirrorPad::vtkImageMirrorPad | ( |  | ) | `[inline, protected]`

| Definition at line 53 of file vtkImageMirrorPad.h.

vtkImageMirrorPad::~vtkImageMirrorPad | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkImageMirrorPad.h.

## Member Function Documentation

vtkImageMirrorPad* vtkImageMirrorPad::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImagePadFilter.

virtual const char* vtkImageMirrorPad::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImagePadFilter.

int vtkImageMirrorPad::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

virtual int vtkImageMirrorPad::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

vtkImageMirrorPad* vtkImageMirrorPad::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImagePadFilter.

void vtkImageMirrorPad::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImagePadFilter.

void vtkImageMirrorPad::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outRegion,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMirrorPad.h